diff --git a/build/build_docker.sh b/build/build_docker.sh
new file mode 100755
index 0000000..564558b
--- /dev/null
+++ b/build/build_docker.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+
+exists() { type -t "$1" > /dev/null 2>&1; }
+
+rm -rf VSCode*
+rm -rf vscode*
+
+if ! exists yarn; then
+ curl -fsSL https://deb.nodesource.com/setup_16.x | sudo -E bash -
+ sudo apt-get install -y nodejs desktop-file-utils
+
+ npm install -g yarn
+fi
+
+UNAME_ARCH=$( uname -m )
+
+if [[ "${UNAME_ARCH}" == "x86_64" ]]; then
+ export VSCODE_ARCH="x64"
+else
+ export npm_config_arch=armv7l
+ export npm_config_force_process_config="true"
+ export VSCODE_ARCH="armhf"
+fi
+
+echo "-- VSCODE_ARCH: ${VSCODE_ARCH}"
+
+. get_repo.sh
+
+SHOULD_BUILD=yes CI_BUILD=no OS_NAME=linux . build.sh
diff --git a/build/build_macos.sh b/build/build_macos.sh
index f8392fa..53fbaf2 100755
--- a/build/build_macos.sh
+++ b/build/build_macos.sh
@@ -6,9 +6,9 @@ rm -rf vscode*
UNAME_ARCH=$( uname -m )
if [[ "${UNAME_ARCH}" == "arm64" ]]; then
- export VSCODE_ARCH="arm64"
+ export VSCODE_ARCH="arm64"
else
- export VSCODE_ARCH="x64"
+ export VSCODE_ARCH="x64"
fi
echo "-- VSCODE_ARCH: ${VSCODE_ARCH}"
diff --git a/docs/build.md b/docs/build.md
index 2935bdc..56de8a4 100644
--- a/docs/build.md
+++ b/docs/build.md
@@ -80,13 +80,13 @@ npm install -g yarn
cd /root/vscodium
-./get_repo.sh
+. get_repo.sh
export SHOULD_BUILD=yes
export OS_NAME=linux
export VSCODE_ARCH=x64
-./build.sh
+. build.sh
```
### ARM 32bits
@@ -107,7 +107,7 @@ sudo apt-get install -y nodejs desktop-file-utils
cd /root/vscodium
-./get_repo.sh
+. get_repo.sh
export SHOULD_BUILD=yes
export OS_NAME=linux
@@ -115,7 +115,7 @@ export VSCODE_ARCH=armhf
export npm_config_arch=armv7l
export npm_config_force_process_config="true"
-./build.sh
+. build.sh
```
## Patch Update Process